Bug 1203912 - network settings lost during install centos 6.6
Summary: network settings lost during install centos 6.6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 23:48 UTC by jw
Modified: 2017-12-06 11:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
anaconda.ifcfg.log (5.88 KB, text/plain)
2015-03-23 00:39 UTC, jw
no flags Details
anaconda.log (21.79 KB, text/plain)
2015-03-23 00:39 UTC, jw
no flags Details
anaconda.syslog (119.16 KB, text/plain)
2015-03-23 00:39 UTC, jw
no flags Details
anaconda-ks.cfg (6.88 KB, text/plain)
2015-03-23 00:40 UTC, jw
no flags Details
kick start file (2.91 KB, text/plain)
2015-03-23 00:40 UTC, jw
no flags Details
install.log (23.26 KB, text/plain)
2015-03-23 00:41 UTC, jw
no flags Details
install.log.syslog (6.21 KB, text/plain)
2015-03-23 00:41 UTC, jw
no flags Details
isolinux.cfg (664 bytes, text/plain)
2015-03-23 00:41 UTC, jw
no flags Details
ks.post.log (11.55 KB, text/plain)
2015-03-23 00:42 UTC, jw
no flags Details
ks.post (94 bytes, text/plain)
2015-03-23 00:42 UTC, jw
no flags Details

Description jw 2015-03-19 23:48:14 UTC
I have adjusted my isolinux.cfg to ask for network config during my kickstart install.

CODE: SELECT ALL
label server1
  menu label Install a server
  kernel vmlinuz
  append initrd=initrd.img ks=cdrom:/ks/server1.cfg asknetwork noipv6 biosdevname=0

My kickstart has the following config

CODE: SELECT ALL
network --device=eth0 --onboot=on --hostname=server1
network --device=eth1 --onboot=on --bootproto=static  --ip=192.11.13.6 --netmask=255.255.255.252 --nameserver=127.0.0.1


As expected during the text install I am requested to enter static IP data

However at the end of the install my eth0 config is set to dhcp and not the static IP I entered during install.

One clue is I have a static IP set for eth1 in the kickstart which shows as the default IP address for me to adjust when I select static on install. The dialogue box does not indicate which interface I am adjusting.

Is this a known issue?

Thanks

Comment 2 Radek Vykydal 2015-03-20 13:22:36 UTC
Please attach /tmp/*log (including /tmp/syslog) anaconda logs and the kickstart file. You can use scp or copy to local storage in shell in tty2 (Ctlr-Alt-F2) during installation.

Comment 3 Radek Vykydal 2015-03-20 13:30:36 UTC
You can also find the log files on installed system:
/var/log/anaconda.log
/var/log/anaconda.syslog
/var/log/anaconda.ifcfg.log

Comment 4 jw 2015-03-20 21:14:37 UTC
I'm just putting together the log files but the one thing I found was if I opted for DHCP all worked well but if I opted to enter static IP configuration during install it failed. After a few tests I found that the config for eth0 always had DHCP set for BOOTPROTO.

It looks like this is not set correctly if you use the asknetwork option appended to your isolinux.cfg boot command.

I'm getting round this by running a post install script to change the BOOTPROTO to static but it means I can't opt for DHCP if I wanted to.

Comment 5 jw 2015-03-21 00:54:18 UTC
Is the issue related to this bug report?

https://bugzilla.redhat.com/show_bug.cgi?id=1187089

Comment 6 jw 2015-03-21 00:54:50 UTC
1187089

Comment 7 jw 2015-03-23 00:39:07 UTC
Created attachment 1005095 [details]
anaconda.ifcfg.log

Comment 8 jw 2015-03-23 00:39:32 UTC
Created attachment 1005096 [details]
anaconda.log

Comment 9 jw 2015-03-23 00:39:55 UTC
Created attachment 1005097 [details]
anaconda.syslog

Comment 10 jw 2015-03-23 00:40:17 UTC
Created attachment 1005098 [details]
anaconda-ks.cfg

Comment 11 jw 2015-03-23 00:40:42 UTC
Created attachment 1005099 [details]
kick start file

Comment 12 jw 2015-03-23 00:41:05 UTC
Created attachment 1005100 [details]
install.log

Comment 13 jw 2015-03-23 00:41:31 UTC
Created attachment 1005101 [details]
install.log.syslog

Comment 14 jw 2015-03-23 00:41:56 UTC
Created attachment 1005102 [details]
isolinux.cfg

Comment 15 jw 2015-03-23 00:42:18 UTC
Created attachment 1005103 [details]
ks.post.log

Comment 16 jw 2015-03-23 00:42:40 UTC
Created attachment 1005104 [details]
ks.post

Comment 17 jw 2015-03-24 01:17:43 UTC
If I set a second interface eth1 for example, The settings from the dialog box during install comes through as eth0 and the two sets of interface configurations are mixed.

Comment 18 Jan Kurik 2017-12-06 11:48:02 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.